%%
%% This is file `jkthesis.cls',
%% generated with the docstrip utility.
%%
%% The original source files were:
%%
%% jkthesis.dtx  (with options: `package')
%% 
%% IMPORTANT NOTICE:
%% 
%% For the copyright see the source file.
%% 
%% Any modified versions of this file must be renamed
%% with new filenames distinct from jkthesis.cls.
%% 
%% For distribution of the original source see the terms
%% for copying and modification in the file jkthesis.dtx.
%% 
%% This generated file may be distributed as long as the
%% original source files, as listed above, are part of the
%% same distribution. (The sources need not necessarily be
%% in the same archive or directory.)
%%
%% ----------------------------------------------------------------------------
%%
%% Jochen^^b4s LaTeX document class for typesetting theses
%%
%% Copyright (C) 2000,2001,2002 Jochen K^^fcpper
%% $Id: jkthesis.dtx,v 1.107 2002/07/18 06:11:05 jochen Exp $
%%
%% This file may be distributed and/or modified under the conditions of the
%% LaTeX Project Public License, either version 1.2 of this license or (at your
%% option) any later version. The latest version of this license is in
%%    http://www.latex-project.org/lppl.txt
%% and version 1.2 or later is part of all distributions of LaTeX version
%% 1999/12/01 or later.
%%
%% It would be nice if you recognize using this class in your copyright page.
%% See the default \copyrightpage entry for details.
%%
%% ----------------------------------------------------------------------------
%%
%%
%% \CharacterTable
%%  {Upper-case    \A\B\C\D\E\F\G\H\I\J\K\L\M\N\O\P\Q\R\S\T\U\V\W\X\Y\Z
%%   Lower-case    \a\b\c\d\e\f\g\h\i\j\k\l\m\n\o\p\q\r\s\t\u\v\w\x\y\z
%%   Digits        \0\1\2\3\4\5\6\7\8\9
%%   Exclamation   \!     Double quote  \"     Hash (number) \#
%%   Dollar        \$     Percent       \%     Ampersand     \&
%%   Acute accent  \'     Left paren    \(     Right paren   \)
%%   Asterisk      \*     Plus          \+     Comma         \,
%%   Minus         \-     Point         \.     Solidus       \/
%%   Colon         \:     Semicolon     \;     Less than     \<
%%   Equals        \=     Greater than  \>     Question mark \?
%%   Commercial at \@     Left bracket  \[     Backslash     \\
%%   Right bracket \]     Circumflex    \^     Underscore    \_
%%   Grave accent  \`     Left brace    \{     Vertical bar  \|
%%   Right brace   \}     Tilde         \~}
%%
\newcommand{\docdate}{}  % See the renewcommands below,
\newcommand{\filedate}{} % these contain the content;-))
\newcommand{\fileversion}{}
\renewcommand{\docdate}{2002/07/18}
\renewcommand{\filedate}{2002/07/18}
\renewcommand{\fileversion}{1.1}
\NeedsTeXFormat{LaTeX2e}[1999/12/01]
\ProvidesClass{jkthesis}%
[\filedate\space v\fileversion\space HHU thesis class]
\RequirePackage{ifthen}
\newboolean{onlineversion}
\setboolean{onlineversion}{false}
\newboolean{pdftexdriver}
\setboolean{pdftexdriver}{false}
\DeclareOption{pdftex}{
   \setboolean{pdftexdriver}{true}
   \PassOptionsToPackage{\CurrentOption}{hyperref}}
\DeclareOption{dvips,dvipsone,dviwindo,hypertex,ps2pdf,vtex}{
   \setboolean{pdftexdriver}{false}
   \PassOptionsToPackage{\CurrentOption}{hyperref}}
\DeclareOption{ngerman}{
   \PassOptionsToPackage{\CurrentOption}{babel}
   \PassOptionsToPackage{german}{fancyref}}
\DeclareOption{american,english,french,german}{
   \PassOptionsToPackage{\CurrentOption}{babel,fancyref}}
\DeclareOption{a5paper}{
   \PassOptionsToClass{\CurrentOption}{extbook}
   \PassOptionsToPackage{\CurrentOption}{typearea}}
\DeclareOption{scaled2a4}{
   \mag1414
   \setlength{\hoffset}{1in}
   \addtolength{\hoffset}{-1truein}
   \setlength{\voffset}{1in}
   \addtolength{\voffset}{-1truein}
   \PassOptionsToClass{a5paper}{extbook}
   \PassOptionsToPackage{a5paper}{typearea}}
\DeclareOption{online}{\setboolean{onlineversion}{true}}
\ExecuteOptions{a5paper,ngerman,vario}
\ProcessOptions\relax
\LoadClass[9pt,titlepage,twoside]{extbook}
\renewcommand\normalsize{%
   \@setfontsize\normalsize\@ixpt{11.5}%
   \abovedisplayskip 8\p@ \@plus4\p@ \@minus4\p@
   \abovedisplayshortskip \z@ \@plus3\p@
   \belowdisplayshortskip 5\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
\normalsize
\RequirePackage{fixltx2e}[1999/12/01]
\RequirePackage{babel}
\RequirePackage{eucal}
\RequirePackage{ae,aecompl}
\RequirePackage{mathpazo}[2000/06/26]
\renewcommand{\sfdefault}{aess}
\renewcommand{\ttdefault}{aett}
\RequirePackage{textcomp}
\DeclareMathSizes{9}{9}{7}{5}
\DeclareMathSizes{10}{10}{7.6}{6}
\frenchspacing
\clubpenalty=2000
\emergencystretch=20pt
\pretolerance=500
\tolerance=2500
\widowpenalty=2000
%%\lineskip=1pt
\lineskiplimit=-0.3pt
\RequirePackage[headinclude,DIV13,BCOR10mm]{typearea}
\setcounter{secnumdepth}{3}
\setcounter{tocdepth}{1}
\emergencystretch=1.5em
\parindent=2em
\parfillskip=2em plus 1fil
\RequirePackage[comma,numbers,sort&compress,square]{natbib}
\DeclareRobustCommand\cite{%
   \unskip\@ \nolinebreak[3]
   \begingroup\def\NAT@ctype{0}\NAT@partrue\NAT@swatrue
   \@ifstar{\NAT@fulltrue\NAT@cites}{\NAT@fullfalse\NAT@cites}}
\setlength\bibsep{1mm}
\AtBeginDocument{
   \def\NAT@sort{2}
   \def\NAT@space{\thinspace}
   }
\RequirePackage{fancyref}
\renewcommand{\reftextfaceafter}{%
   auf der gegen\"uberliegenden Seite}
\renewcommand{\reftextfacebefore}{%
   auf der gegen\"uberliegenden Seite}
\renewcommand{\reftextpagerange}[2]{%
   auf den Seiten \pageref{#1}--\pageref{#2}}
\RequirePackage[centertags,intlimits]{amsmath}
\RequirePackage{amssymb}
\renewcommand{\theequation}{\thechapter-\arabic{equation}}
\@addtoreset{equation}{chapter}
\mathchardef\CommaOrdinary="013B
\mathchardef\CommaPunct   ="613B
\mathcode`,="8000   % , im Mathemodus aktiv ("8000) machen
{\catcode`\,=\active
   \gdef ,{\obeyspaces\futurelet\next\CommaCheck}}
\def\CommaCheck{\if\space\next\CommaPunct\else\CommaOrdinary\fi}
\RequirePackage[clearempty]{titlesec}
\AtBeginDocument{
   \titleformat{name=\part}
      [block]
      {\thispagestyle{empty}\centering\scshape\Huge}
      {\Roman{part}}
      {1ex}
      {}
      [\vspace*{0.5\textheight}]
   \titleformat{name=\chapter}
      [display]
      {\vspace*{-15mm}\sffamily\bfseries\huge}
      {\filleft\LARGE\ifthenelse{\equal{\@chapapp}{\appendixname}}
         {\Alph{chapter}}
         {\Roman{chapter}}}
      {0pt}
      {\titlerule\filright}
      [\vspace*{-5mm}]
   \titleformat{name=\chapter,numberless}
      [display]
      {\vspace*{-15mm}\sffamily\bfseries\huge}
      {}
      {0pt}
      {\raggedright}
      [\vspace*{-5mm}]
   \titleformat{name=\section}
      {\itshape\large}
      {\thesection}
      {1em}
      {}
   \titleformat{name=\subsection}
      {\scshape}
      {\thesubsection}
      {0.666em}
      {}
   \titleformat{name=\subsubsection}
      {\itshape}
      {\thesubsubsection}
      {0.4em}
      {}
   \titleformat{name=\paragraph}
      [runin]
      {\scshape}
      {}
      {opt}
      {}
      [ --- ]
   \titleformat{name=\subparagraph}
      [runin]
      {\itshape}
      {}
      {0pt}
      {}
      [ --- ]
}
\RequirePackage[bottom,flushmargin,multiple,norule,stable]{footmisc}
\RequirePackage{fancyhdr}
\pagestyle{fancy}
\fancypagestyle{plain}{\fancyhf{}
   \renewcommand{\headrulewidth}{0pt}
   \renewcommand{\footrulewidth}{0pt}
   }
\renewcommand{\chaptermark}[1]{\markboth{\thechapter.\ #1}{}}
\renewcommand{\sectionmark}[1]{\markright{\thesection\ #1}}
\fancyhf{}
\fancyhead[LE,RO]{\thepage}
\fancyhead[RE]{\slshape\leftmark}
\fancyhead[LO]{\slshape\rightmark}
\renewcommand{\headrulewidth}{1pt}
\renewcommand{\@pnumwidth}{2.5em}
\renewcommand{\@tocrmarg}{2em}
\renewcommand{\@dotsep}{5.0}
\def\@dottedtocline#1#2#3#4#5{%
  \ifnum #1>\c@tocdepth \else
    \vskip \z@ \@plus.2\p@
    {\leftskip #2\relax \rightskip \@tocrmarg \parfillskip -\rightskip
     \parindent #2\relax\@afterindenttrue
     \interlinepenalty\@M
     \leavevmode
     \@tempdima #3\relax
     \advance\leftskip \@tempdima \null\nobreak\hskip -\leftskip
     \normalfont
     {#4}\nobreak
     \leaders\hbox{$\m@th
        \mkern \@dotsep mu\hbox{.}\mkern \@dotsep
        mu$}\hfill
     \nobreak
     \hb@xt@\@pnumwidth{\hfil\normalcolor #5}%
     \normalfont%
     \par}%
  \fi}
\renewcommand*\l@chapter[2]{%
  \ifnum \c@tocdepth >\m@ne
    \addpenalty{-\@highpenalty}%
    \vskip 1.0em \@plus\p@
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      \normalfont\bfseries
      #1\nobreak
      \leaders\hbox{$\m@th
         \mkern \@dotsep mu\hbox{.}\mkern \@dotsep
         mu$}\hfill
      \nobreak
      \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
      \penalty\@highpenalty
    \endgroup
  \fi}
\renewcommand*{\l@figure}{\@dottedtocline{1}{0em}{3em}}
\renewcommand*{\l@table}{\l@figure}
\RequirePackage[noprefix]{nomencl}
\RequirePackage{array}
\RequirePackage{graphicx}
\RequirePackage[figuresright]{rotating}
\setlength{\extrarowheight}{1pt}
\RequirePackage{booktabs}
\setlength{\heavyrulewidth}{0.3mm}
\setlength{\lightrulewidth}{0.15mm}
\setlength{\cmidrulewidth}{0.1mm}
\setlength{\aboverulesep}{1pt}
\setlength{\belowrulesep}{1pt}
\RequirePackage{subfigure}
\RequirePackage[small]{caption2}
\setlength{\captionmargin}{5mm}
\setlength{\abovecaptionskip}{1mm}
\setlength{\belowcaptionskip}{1mm}
\renewcommand{\floatpagefraction}{.6}  % vorher: .5
\renewcommand{\textfraction}{.05}      % vorher: .2
\renewcommand{\topfraction}{1.0}       % vorher: .7
\renewcommand{\bottomfraction}{1.0}    % vorher: .3
\setcounter{topnumber}{1}              % vorher: 2
\setcounter{bottomnumber}{1}           % vorher: 1
\setcounter{totalnumber}{2}            % vorher: 3
\RequirePackage{dcolumn}
   \newcolumntype{d}{D{.}{,}{-1}}
\RequirePackage[nice,tight]{units}
\RequirePackage{xspace}
\ifthenelse{\boolean{onlineversion}}{
   \RequirePackage[hyperindex=true,
      naturalnames=true,
      hypertexnames=true,
      plainpages=false,
      breaklinks=true,colorlinks=true,
      citecolor=blue,filecolor=blue,linkcolor=red,
      pagecolor=blue,urlcolor=red]
      {hyperref}}{
   \RequirePackage[hyperindex=true,
      naturalnames=true,
      hypertexnames=true,
      plainpages=false,
      breaklinks=true,colorlinks=true,
      citecolor=black,filecolor=black,linkcolor=black,
      pagecolor=black,urlcolor=black]
      {hyperref}}
\ifthenelse{\boolean{pdftexdriver}}
{\renewcommand\NAT@citexnum{}
\def\NAT@citexnum[#1][#2]#3{%
 \NAT@sort@cites{#3}%
 \let\@citea\@empty
  \@cite{\def\NAT@num{-1}\let\NAT@last@yr\relax\let\NAT@nm\@empty
    \@for\@citeb:=\NAT@cite@list\do
    {\edef\@citeb{\expandafter\@firstofone\@citeb}%
     \if@filesw\immediate\write\@auxout{\string\citation{\@citeb}}\fi
     \@ifundefined{b@\@citeb\@extra@b@citeb}{%
       {\reset@font\bfseries?}
        \NAT@citeundefined\PackageWarning{natbib}%
       {Citation `\@citeb' on page \thepage \space undefined}}%
     {\let\NAT@last@num\NAT@num\let\NAT@last@nm\NAT@nm
      \NAT@parse{\@citeb}%
      \ifNAT@longnames\@ifundefined{bv@\@citeb\@extra@b@citeb}{%
        \let\NAT@name=\NAT@all@names
        \global\@namedef{bv@\@citeb\@extra@b@citeb}{}}{}%
      \fi
      \ifNAT@full\let\NAT@nm\NAT@all@names\else
        \let\NAT@nm\NAT@name\fi
      \ifNAT@swa
       \ifnum\NAT@ctype>1\relax\@citea
        \hyper@natlinkstart{\@citeb\@extra@b@citeb}%
            \ifnum\NAT@ctype=2\relax\NAT@test{\NAT@ctype}%
            \else\NAT@alias
            \fi\hyper@natlinkend\else
       \ifnum\NAT@sort>1
         \begingroup\catcode`\_=8
            \ifcat _\ifnum\z@<0\NAT@num _\else A\fi
              \global\let\NAT@nm=\NAT@num \else \gdef\NAT@nm{-2}\fi
            \ifcat _\ifnum\z@<0\NAT@last@num _\else A\fi
              \global\@tempcnta=\NAT@last@num \global\advance\@tempcnta by\@ne
              \else \global\@tempcnta\m@ne\fi
         \endgroup
         \ifnum\NAT@nm=\@tempcnta
           \ifx\NAT@last@yr\relax
             %\edef\NAT@last@yr{\@citea \mbox{\noexpand\citenumfont\NAT@num}}%
             \edef\NAT@last@yr{\@citea \mbox{%
                   \noexpand\hyper@natlinkstart{\@citeb\@extra@b@citeb}%
                   \noexpand\citenumfont\NAT@num%
                   \hyper@natlinkend%
                   }%
                }%
           \else
             %\edef\NAT@last@yr{--\penalty\@m\mbox{\noexpand\citenumfont\NAT@num}}%
             \edef\NAT@last@yr{--\penalty\@m\mbox{%
                   \noexpand\hyper@natlinkstart{\@citeb\@extra@b@citeb}%
                   \citenumfont\NAT@num\hyper@natlinkend}}%
           \fi
         \else
           \NAT@last@yr \@citea
           %\mbox{\citenumfont\NAT@num}%
           %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
           \mbox{\hyper@natlinkstart{\@citeb\@extra@b@citeb}%
            {\citenumfont\NAT@num}\hyper@natlinkend}%
           %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
           \let\NAT@last@yr\relax
         \fi
       \else
         \@citea \mbox{\hyper@natlinkstart{\@citeb\@extra@b@citeb}%
                       {\citenumfont\NAT@num}\hyper@natlinkend}%
       \fi
       \fi
       \def\@citea{\NAT@sep\penalty\@m\NAT@space}%
      \else
        \ifcase\NAT@ctype\relax
          \ifx\NAT@last@nm\NAT@nm \NAT@yrsep\penalty\@m\NAT@space\else
          \@citea \NAT@test{1}\ \NAT@@open
          \if*#1*\else#1\ \fi\fi \NAT@mbox{%
          \hyper@natlinkstart{\@citeb\@extra@b@citeb}%
          {\citenumfont\NAT@num}\hyper@natlinkend}%
          \def\@citea{\NAT@@close\NAT@sep\penalty\@m\ }%
        \or\@citea
          \hyper@natlinkstart{\@citeb\@extra@b@citeb}%
           \NAT@test{\NAT@ctype}\hyper@natlinkend
          \def\@citea{\NAT@sep\penalty\@m\ }%
        \or\@citea
          \hyper@natlinkstart{\@citeb\@extra@b@citeb}%
           \NAT@test{\NAT@ctype}\hyper@natlinkend
          \def\@citea{\NAT@sep\penalty\@m\ }%
        \or\@citea
          \hyper@natlinkstart{\@citeb\@extra@b@citeb}%
           \NAT@alias\hyper@natlinkend
          \def\@citea{\NAT@sep\penalty\@m\ }%
        \fi
      \fi
      }}%
      \ifnum\NAT@sort>1\relax\NAT@last@yr\fi
      \ifNAT@swa\else\ifnum\NAT@ctype=0\if*#2*\else
      \NAT@cmt#2\fi \NAT@@close\fi\fi}{#1}{#2}}
}{}
\newcommand{\@subtitle}{}
\newcommand{\subtitle}[1]{
   \renewcommand{\@subtitle}{#1}}

\newcommand{\@birthplace}{}
\newcommand{\birthplace}[1]{
   \renewcommand{\@birthplace}{aus #1}}

\newcommand{\@place}{D\"usseldorf}
\newcommand{\place}[1]{\renewcommand{\@place}{#1}}

\newcommand{\@faculty}{%
   Mathematisch-Natur\-wissen\-schaftlichen Fakult\"at}
\newcommand{\faculty}[1]{\renewcommand{\@faculty}{#1}}

\newcommand{\@school}{Heinrich-Heine-Universit\"at}
\newcommand{\school}[1]{\renewcommand{\@school}{#1}}

\newcommand{\@schoolplace}{\unskip}
\newcommand{\schoolplace}[1]{
   \renewcommand{\@schoolplace}{#1}}

\newcommand{\@hhucopyrightpage}{\noindent
   Gedruckt mit Genehmigung der
   \@faculty\ der \@school\ \@schoolplace.}
\newcommand{\@jkcopyrightpage}{%
   \noindent Diese Arbeit wurde mit \LaTeXe{} unter Verwendung
   der \textsf{jkthesis} Dokumentklasse gesetzt.}
\newcommand{\@copyrightpage}{
   \@hhucopyrightpage
   \vfill\@jkcopyrightpage
   \cleardoublepage}
\newcommand{\copyrightpage}[3][\@jkcopyrightpage]{%
   \renewcommand{\@copyrightpage}{%
      \noindent #3 \par\vspace*{1em}
      \@hhucopyrightpage \par\vspace*{2em}
      \noindent #2 \vfill \noindent #1
      \cleardoublepage}}
\newcommand{\@dedication}[1]{}
\newcommand{\dedication}[1]{\renewcommand{\@dedication}[1]{%
      \begin{flushright}
         \hspace*{0mm}\vfill
         \textit{\Large #1 \\}
         \vfill\vfill\vfill
      \end{flushright}
      \cleardoublepage}}
\newcommand{\@acknowledgement}[1]{}
\newcommand{\acknowledgement}[1]{\renewcommand{\@acknowledgement}[1]{%
      \hspace*{0mm}\vfill \noindent #1 \cleardoublepage}}
\newcommand{\@morelists}[1]{}
\newcommand{\morelists}[1]{\renewcommand{\@morelists}[1]{#1}}
\makeglossary
\renewcommand{\nomname}{Verwendete Symbole und Abk\"urzungen}
\setlength{\nomlabelwidth}{0.12\textwidth}
\newcommand{\@symbols}{}
\newcommand{\symbols}{\renewcommand{\@symbols}{%
      \phantomsection\addcontentsline{toc}{chapter}{\nomname}
      \setlength{\nomitemsep}{0pt}
      \printglossary}}
\newcommand{\@preface}[1]{}
\newcommand{\preface}[1]{\renewcommand{\@preface}[1]{
      \thispagestyle{empty} \phantomsection
      \chapter*{Vorwort}
      \addcontentsline{toc}{chapter}{Vorwort}
      \noindent #1 }}
\newcommand{\@morepreamble}[1]{}
\newcommand{\morepreamble}[1]{\renewcommand{\@morepreamble}[1]{#1}}
\renewcommand{\maketitle}{
   \hypersetup{
      pdfauthor  = {\@author},
      pdftitle   = {\@title: \@subtitle},
      }
   \pdfbookmark[-1]{Pr\"aamble}{preamble}
   \pagestyle{empty}\pagenumbering{Roman}
   \begin{center}
      {\large \@title\relax \\[1ex]}
      \@subtitle\relax
      \cleardoublepage
      \pdfbookmark[0]{Titelseite}{title}
      {\fontsize{16}{24}\selectfont \@title\relax \\[1ex]}
      {\fontsize{14}{18}\selectfont \@subtitle\relax \\}
   \end{center}
   \vfill
   {\raggedright
      \textsc{Inaugural-Dissertation} \\[1ex]
      Von \@author\space\@birthplace\space
      an der \@faculty\space der
      \@school\space\@schoolplace\space vorgelegt.\\[0.5ex]
      \@place, \@date}
   \clearpage
   \@copyrightpage\relax
   \@dedication\relax
   \@acknowledgement\relax
   \pagestyle{fancy}
   \phantomsection \thispagestyle{empty}
   \pdfbookmark[0]{\contentsname}{toc}
   \tableofcontents
   \cleardoublepage
   \phantomsection \thispagestyle{empty}
   \addcontentsline{toc}{chapter}{\listtablename}
   \listoftables
   \cleardoublepage
   \phantomsection \thispagestyle{empty}
   \addcontentsline{toc}{chapter}{\listfigurename}
   \listoffigures
   \cleardoublepage
   \@morelists\relax
   \cleardoublepage
   \@symbols\relax
   \cleardoublepage
   \@preface\relax
   \cleardoublepage
   \@morepreamble\relax
   \cleardoublepage
   \pagenumbering{arabic}
   }
\AtBeginDocument{
   \renewcommand{\tableofcontents}{%
      \sffamily%
      \chapter*{\contentsname\@mkboth{\contentsname}{\contentsname}}%
      \@starttoc{toc}%
      \normalfont}
   \renewcommand\listoffigures{%
      \chapter*{\listfigurename\@mkboth{\listfigurename}{\listfigurename}}%
      \@starttoc{lof}}
   \renewcommand\listoftables{%
      \chapter*{\listtablename\@mkboth{\listtablename}{\listtablename}}%
      \@starttoc{lot}%
      }
   \newcommand{\bibpreamble}{}
   \renewenvironment{thebibliography}[1]{%
      \chapter*{\bibname}\@mkboth{\bibname}{\bibname}%
      \addcontentsline{toc}{chapter}{\bibname}%
      \bibpreamble%
      \list{\@biblabel{\@arabic\c@enumiv}}{%
         \settowidth\labelwidth{\@biblabel{#1}}%
         \leftmargin\labelwidth \advance\leftmargin\labelsep%
         \@openbib@code \usecounter{enumiv} \let\p@enumiv\@empty%
         \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy%
      \clubpenalty4000 \@clubpenalty \clubpenalty \widowpenalty4000%
      \sfcode`\.\@m%
      }{%
      \def\@noitemerr{%
         \@latex@warning{Empty `thebibliography' environment}%
         }%
      \endlist}
   \newcommand{\indexpreamble}{}
   \renewenvironment{theindex}{%
      \columnsep 5\p@%
      \@mkboth{\indexname}{\indexname}
      \twocolumn[\@makeschapterhead{\indexname}%
                 \addcontentsline{toc}{chapter}{\indexname}%
                 \indexpreamble]%
      \thispagestyle{plain}%
      \parindent\z@ \parskip\z@ \@plus .3\p@\relax%
      \let\item\@idxitem%
      \footnotesize%
      }{
      \clearpage
      }
   }
\newcommand\printindex{\@input@{\jobname.ind}}
\newcommand*\see[2]{\protect\seename #1}
   \newcommand*{\seename}{$\to$}
\newcommand*{\main}[1]{\textbf{\hyperpage{#1}}}
\renewcommand\@idxitem{\par\vspace*{0.5\p@ \@plus0.3\p@ \@minus0.2\p@}%
   \hangindent 20\p@}
\renewcommand\subitem{\par\nopagebreak%
   \hangindent 30\p@ \hspace*{10\p@}}
\renewcommand\subsubitem{\par\nopagebreak%
   \hangindent 40\p@ \hspace*{20\p@}}
\renewcommand\indexspace{\par \vskip 5\p@ \@plus5\p@ \@minus2\p@\relax}
\AtBeginDocument{%
   \@ifpackageloaded{ifthen}{%
      \long\def\ifthenelse#1#2#3{%
         \let\fix@bbl@tempa\pageref
         \let\pageref\org@pageref
         \@safe@activestrue
         \org@ifthenelse{#1}{%
            \let\pageref\fix@bbl@tempa
            \@safe@activesfalse
            #2%
         }{%
            \let\pageref\fix@bbl@tempa
            \@safe@activesfalse
            #3%
         }%
      }%
   }{}%
}
\DeclareRobustCommand{\chemsum}[1]{%
  {\(\m@th
   \edef\resetfontdimens{\noexpand\)%
       \fontdimen16\textfont2=\the\fontdimen16\textfont2
       \fontdimen17\textfont2=\the\fontdimen17\textfont2\relax}%
   \fontdimen16\textfont2=2.7pt \fontdimen17\textfont2=2.7pt
   \mathsf{#1}%
   \resetfontdimens}}
\newcommand{\epigraph}[2]{\begin{flushright} \textit{#1}\\
      \textsc{#2} \end{flushright} \par\noindent}
\newcommand{\BibTeX}{\texorpdfstring{%
      \textsc{Bib}\kern-.08em\TeX}{BibTeX}}
\newcommand{\AMSLaTeX}{\texorpdfstring{%
      $\mathcal{A}$\kern-.1667em\lower.5ex\hbox{$\mathcal{M}$}%
      \kern-.125em$\mathcal{S}$-\LaTeX}{AMS-LaTeX}}
\newcommand{\bzw}{bzw.\@\xspace}
\newcommand{\bzgl}{bez\"uglich\xspace}
\newcommand{\ca}{circa\xspace}
\newcommand{\dah}{das heisst\xspace}
\newcommand{\Dah}{Das heisst\xspace}
\newcommand{\evtl}{eventuell\xspace}
\newcommand{\ua}{unter anderem\xspace}
\newcommand{\usw}{usw.\@\xspace}
\newcommand{\vgl}{vergleiche\@\xspace}
\newcommand{\zB}{z.\thinspace{}B.\@\xspace}
\newcommand{\ZB}{Zum Beispiel\xspace}

%% Local Variables:
%% mode: LaTeX
%% End:
\endinput
%%
%% End of file `jkthesis.cls'.
